Skip to content

Retrieve the list of schedule blocks

GET
/api/bloqueos/
curl --request GET \
--url https://api.koibox.cloud/api/bloqueos/ \
--header 'X-Koibox-Key: <X-Koibox-Key>'
id__in
Array<integer>
fecha__gte
string format: date-time
fecha__lte
string format: date-time
hora_inicio__gte
string format: date-time
hora_inicio__lte
string format: date-time
hora_fin__gte
string format: date-time
hora_fin__lte
string format: date-time
user
integer
user__in
Array<integer>
is_online
boolean
cita__isnull
boolean
cita
integer
limit
integer
offset
integer

List of requested blocks

Media typeapplication/json
object
count
integer
next
One of:
string format: uri
previous
One of:
string format: uri
results
Array
<= 50 items
object
id

Read-only

integer
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
created_by

ID of the creator user, read-only

integer
user
required

ID of the user affected by the block

integer
centro
required
integer
fecha
required

Date of the block, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin
required
string format: time
titulo
required
string
recurrencia
required

How often the block repeats, day_1___ == every day

string
Allowed values: none day_1___ week_1___ week_2___ month_1___
is_online

Determines if the block affects online reservations. Required if appointment is not null

boolean
cita

Online appointment that created the block. Required if is_online is true

integer
employee_name

Full name of the employee, read-only

string
recurrence_description

Read-only

string

The access key has not been provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

No valid access key has been provided